Bug 493710 - condor_configure_node: delete not inverse of add
condor_configure_node: delete not inverse of add
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.1.1
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Robert Rati
Martin Kudlej
:
Depends On: 635979
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 15:08 EDT by Matthew Farrellee
Modified: 2010-10-14 12:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Adding 'ha_central_manager' to a node adds 'ha_central_manager', 'central_manager', 'negotiator', and 'collector'. However, deleting 'ha_central_manager' only deleted the 'ha_central_manager'. With this update, deleting 'ha_central_manager' from a node successfully removes 'ha_central_manager', 'central_manager', 'negotiator', and 'collector'.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:10:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0773 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging and Grid Version 1.3 2010-10-14 11:56:44 EDT

  None (edit)
Description Matthew Farrellee 2009-04-02 15:08:14 EDT
condor-remote-configuration-server-1.0-14.el5

Adding ha_central_manager to a node adds ha_central_manager, central_manager, negotiator, collector. Deleting ha_central_manager only deletes ha_central_manager.

# condor_configure_node -l -n node
Configuration for node:
ha_central_manager
central_manager
negotiator
collector
scheduler_name = ha-schedd@
default_schedd_isha = True
additional_scheds = sched-00,sched-01
collector_name = Pool
qmf_broker = broker
startd

# condor_configure_node -d -n node -f ha_central_manager
Modify the pool description for this node [y/N] ? 
Change the broker information this node uses to communicate with the Management Console [y/N] ? 
Save this configuration [y/N] ? y
Configuration saved
Refreshing node configurations

# condor_configure_node -l -n node
Configuration for node:
central_manager
negotiator
collector
default_schedd_isha = True
collector_name = Pool
qmf_broker = broker
startd

# condor_configure_node -d -n node -f central_manager
Modify the pool description for this node [y/N] ? 
Change the broker information this node uses to communicate with the Management Console [y/N] ? 
Save this configuration [y/N] ? y
Configuration saved
Refreshing node configurations

# condor_configure_node -l -n node
Configuration for node:
negotiator
collector
default_schedd_isha = True
collector_name = Pool
qmf_broker = broker
startd
Comment 3 Robert Rati 2010-02-23 16:10:07 EST
The tools will look for parameters that must be set by a feature when removing a feature.  It will not handle the case were a parameter, that is part of a feature but is not required to be set for the parameter to be used, is added to a node/group.

Fixed in:
condor-qmf-config-tools-2.1-0.1
Comment 5 Martin Kudlej 2010-10-01 06:27:36 EDT
Tested with shared parameters 
ALLOW_ADMINISTRATOR: HACentralManager, Master
CONDOR_HOST: HACentralManager, Master
COLLECTOR_NAME: Collector, Master
ALLOW_NEGOTIATOR: HACentralManager, Negotiator
ALLOW_NEGOTIATOR_SCHEDD: BaseScheduler, HACentralManager
COLLECTOR_HOST: Collector, HACentralManager
JOB_HOOKS_PORT: JobHooks, LowLatency
SPOOL: JobQueueLocation, Scheduler
STARTD_JOB_EXPRS: ExecuteNode, ExecuteNodeDedicatedPreemption
KILL: DedicatedResource, ExecuteNode
PREEMPT: DedicatedResource, ExecuteNode
START: DedicatedResource, ExecuteNode
SUSPEND: DedicatedResource, ExecuteNode
STARTD_ATTRS: DedicatedResource, ExecuteNode
WANT_SUSPEND: DedicatedResource, ExecuteNode
WANT_VACATE: DedicatedResource, ExecuteNode
CONTINUE: DedicatedResource, ExecuteNode

on RHEL 5.5 x86_64/i386 with 
python-condorutils-1.4-5.el5
condor-wallaby-tools-3.6-5.el5
condor-wallaby-base-db-1.4-5.el5
condor-debuginfo-7.4.4-0.16.el5
condor-7.4.4-0.16.el5
condor-wallaby-client-3.6-5.el5
wallaby-0.9.18-2.el5

and it works. -->VERIFIED
Comment 6 Martin Prpič 2010-10-07 07:36:43 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Adding 'ha_central_manager' to a node adds 'ha_central_manager', 'central_manager',
'negotiator', and 'collector'. However, deleting 'ha_central_manager' only deleted the 'ha_central_manager'. With this update, deleting 'ha_central_manager' from a node successfully removes 'ha_central_manager', 'central_manager', 'negotiator', and 'collector'.
Comment 8 errata-xmlrpc 2010-10-14 12:10:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.